Package picard.vcf

## Class MakeSitesOnlyVcf

- java.lang.Object
- - picard.cmdline.CommandLineProgram
  - - picard.vcf.MakeSitesOnlyVcf

-     @DocumentedFeature
      public class MakeSitesOnlyVcf
      extends CommandLineProgram

  Creates a VCF that contains all the site-level information for all records in the input VCF but no genotype information.

  ### Summary

  This tool reads a VCF/VCF.gz/BCF and removes all genotype information from it while retaining all site level information, including annotations based on genotypes (e.g. AN, AF). Output can be any supported variant format including .vcf, .vcf.gz or .bcf.

  ### Inputs

  - Input VCF or BCF file containing genotype and site-level information.
  - Output VCF or BCF file containing only site-level information.
  - [Optional] Names of one or more samples to include in the output VCF.

  ### Usage example:

           java -jar picard.jar MakeSitesOnlyVcf \
            INPUT=input_variants.vcf \
            OUTPUT=output_variants.vcf

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `File` | `INPUT` |
    `File` | `OUTPUT` |
    `Set<String>` | `SAMPLE` |

    - ### Fields inherited from class picard.cmdline.CommandLineProgram

      `COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, GA4GH_CLIENT_SECRETS, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, referenceSequence, specialArgumentsCollection, TMP_DIR, USE_JDK_DEFLATER, USE_JDK_INFLATER, VALIDATION_STRINGENCY, VERBOSITY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MakeSitesOnlyVcf()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected int` | `doWork()` | Do the work after command line has been parsed.
    `static void` | `main​(String[] args)` |

    - ### Methods inherited from class picard.cmdline.CommandLineProgram

      `customCommandLineValidation, getCommandLine, getCommandLineParser, getDefaultHeaders, getFaqLink, getMetricsFile, getStandardUsagePreamble, getStandardUsagePreamble, getVersion, hasWebDocumentation, instanceMain, instanceMainWithExit, makeReferenceArgumentCollection, parseArgs, requiresReference, setDefaultHeaders, useLegacyParser`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INPUT

          @Argument(shortName="I",
                    doc="Input VCF or BCF containing genotype and site-level information.")
          public File INPUT

    - #### OUTPUT

          @Argument(shortName="O",
                    doc="Output VCF or BCF file containing only site-level information.")
          public File OUTPUT

    - #### SAMPLE

          @Argument(shortName="S",
                    doc="Names of one or more samples to include in the output VCF.",
                    optional=true)
          public Set<String> SAMPLE

  - ### Constructor Detail

    - #### MakeSitesOnlyVcf

          public MakeSitesOnlyVcf()

  - ### Method Detail

    - #### main

          public static void main​(String[] args)

    - #### doWork

          protected int doWork()

      Description copied from class: `CommandLineProgram`
      Do the work after command line has been parsed. RuntimeException may be thrown by this method, and are reported appropriately.
      Specified by:
        `doWork` in class `CommandLineProgram`
      Returns:
        program exit status.